import router from "./router";
import {getToken} from "@/utils/auth.js"

const whiteList = ["/login"];
router.beforeEach(async (to, from, next) => {
  // start progress bar
  const hasToken = getToken();
  if (hasToken) {
    if (to.path === "/login") next({ path: "/" });
    else next();
  } else {
    if (whiteList.indexOf(to.path) !== -1) {
      next();
    } else {
      next(`/login?redirect=${to.path}`);
    }
  }
});
