import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "normalize.css/normalize.css";
import { Toast } from "vant";
import "./routerAuth.js";
import carPlateKeyboard from "car-plate-keyboard";
import "car-plate-keyboard/lib/carPlateKeyboard.css";
import "vant/lib/toast/style";
Vue.use(Toast);
Vue.use(carPlateKeyboard);
Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
